session22: できるPHP7アップグレード

Makoto Chiba (08.Oct.2017 at 11:00, 25 min)
Talk at Japan PHP Conference 2017 (Japanese)

Rating: 0 of 5

PHPを利用したウェブサイトの約66%(※1)は、セキュリティサポートの切れたPHP5.5以下のバージョンを利用しています。
アップグレードの必要性は理解していても、後方互換性のない変更点の修正が課題となり後回しにする現場も少なくないでしょう。

先日ホームページ作成サービス「グーペ」をPHP5.2から7.1へアップグレードし、そこから得られた知見をブログ(※2)にて公開しました。
本セッションではブログでお伝えきれなかった内容を加えて、安全かつ短期間でアップグレードする方法をご紹介します。

※1 https://w3techs.com/technologies/details/pl-php/all/all
※2 http://tech.pepabo.com/2017/06/21/goope-php71-upgrade/

Who are you?

Claim talk

Talk claims have been moved to the new Joind.in site.

Please login to the new site to claim your talk

Want to comment on this talk? Log in or create a new account or comment anonymously

Write a comment

 
Please note: you are not logged in and will be posting anonymously!
= eight minus three
 
No comments yet.
© Joind.in 2017